package com.jjt.web.controller.system;

import com.jjt.common.config.JjtConfig;
import com.jjt.common.utils.StringUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 首页
 *
 * @author jjt
 */
@RestController
public class SysIndexController {
    /**
     * 系统基础配置
     */
    @Resource
    private JjtConfig jjtConfig;

    /**
     * 访问首页，提示语
     */
    @RequestMapping("/")
    public String index() {
        return StringUtils.format("欢迎使用{}后台管理框架，当前版本：v{}，请通过前端地址访问。", jjtConfig.getName(), jjtConfig.getVersion());
    }
}
