package com.test;


import cn.hutool.json.JSONObject;
import com.googlecode.aviator.AviatorEvaluator;

import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class RuleEngine {
    public static void main(String[] args) {
        JSONObject json = new JSONObject();
        json.putOnce("phone", 123);
        json.putOnce("message", 321);
        System.err.println(json.toJSONString(2));

//        evaluator();
        match("${pp.1s}/${pp.tot}*100<99");
        match("${hh}/${hoho}*100<99");

    }

    private static void evaluator(String exp) {
        Map<String, Object> env = new HashMap<>();
        env.put("pp1s", 98.0);
        env.put("pptot", 100);
        env.put("hh", 98.0);
        env.put("hoho", 100);
        Object result = AviatorEvaluator.execute(exp, env);
        System.out.println("Rule matching result: " + result);
    }

    public static void match(String exp) {
        System.err.println("exp-old:" + exp);
        //正则表达式匹配变量
        Pattern pattern = Pattern.compile("\\$\\{(.+?)\\}");
        Matcher matcher = pattern.matcher(exp);
        while (matcher.find()) {
            String code = matcher.group(1);
            String old = String.format("${%s}", code);
            exp = exp.replace(old, code.replace(".", ""));
        }

        System.err.println("exp-new:" + exp);
        evaluator(exp);

    }
}
