package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 指标分类对象 metrics_type
 *
 * @author jjt
 * @date 2024-08-08
 */
@Data
@ApiModel(value = "MetricsType", description = "指标分类")
public class MetricsType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 指标分类ID
     */
    @ApiModelProperty("指标分类ID")
    @TableId
    private Long typeId;

    /**
     * 指标分类编码
     */
    @ApiModelProperty("指标分类编码")
    @Excel(name = "指标分类编码")
    private String typeCode;

    /**
     * 指标分类名称
     */
    @ApiModelProperty("指标分类名称")
    @Excel(name = "指标分类名称")
    private String typeName;
}
