package com.jjt.biz.service;

import cn.hutool.json.JSONObject;

/**
 * API接口
 *
 * @author jjt
 * @date 2024-08-08
 */
public interface IPrometheusService {
    /**
     * 即时查询
     *
     * @param param 查询参数
     * @return 结果
     */
    Float query(String param);

    /**
     * 自动发现查询
     *
     * @param param 参数
     * @return json对象
     */
    JSONObject find(String param);
}
