package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Random;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "BizAccessVO", description = "业务压力")
@Data
@NoArgsConstructor
public class BizAccessVO {
    @ApiModelProperty("模型ID")
    private Long modelId;
    @ApiModelProperty("模型名称")
    private String modelName;
    @ApiModelProperty("模型名称")
    private String code;
    @ApiModelProperty("压力")
    private Long access;
    @ApiModelProperty("告警数量")
    private Long num;
    @ApiModelProperty("n1")
    private Long n1;
    @ApiModelProperty("n2")
    private Long n2;
    @ApiModelProperty("n3")
    private Long n3;

    public BizAccessVO(boolean flag) {
        if (flag) {
            this.modelName = "测试模型" + (new Random().nextInt(10) + 1);
            this.access = Long.valueOf(new Random().nextInt(100) + 10);
            this.num = Long.valueOf(new Random().nextInt(200) + 10);
            this.modelId = Long.valueOf(new Random().nextInt(20) + 1);
        }
    }
}
