package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Random;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "BizSortVO", description = "应用组件统计")
@Data
@NoArgsConstructor
public class BizSortVO {
    @ApiModelProperty("业务对象ID")
    private Long objId;
    @ApiModelProperty("对象名称")
    private String objName;
    @ApiModelProperty("业务类型")
    private String bizType;
    @ApiModelProperty("告警数量")
    private Long num;

    public BizSortVO(boolean flag) {
        if (flag) {
            this.objName = "测试对象" + (new Random().nextInt(10) + 1);
            this.num = Long.valueOf(new Random().nextInt(200) + 10);
            this.bizType = "" + (new Random().nextInt(10) + 1);
            this.objId = Long.valueOf(new Random().nextInt(20) + 1);
        }
    }
}
