package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "BizTypeVO", description = "业务类型统计")
@Data
@NoArgsConstructor
public class BizTypeVO {
    @ApiModelProperty("ID")
    private String id;
    @ApiModelProperty("业务类型")
    private String name;
    @ApiModelProperty("告警数量")
    private Long num;
}
