package com.jjt.hl.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 模型健康度对象对象 hl_obj
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlObj", description = "模型健康度对象")
@Data
public class HlObj extends BaseEntity {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("健康度对象ID")
    @TableId
    private Long hlObjId;
    @ApiModelProperty("健康度分类ID")
    @Excel(name = "健康度分类ID")
    private Long hlClassId;
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;
    @ApiModelProperty("对象名称")
    private String objName;
    @ApiModelProperty("对象类型")
    private String objType;
}
