package com.jjt.push.service;

/**
 * 推送配置Service接口
 *
 * @author jjt
 * @date 2024-10-08
 */
public interface ISmsService {
    /**
     * 发送短信
     *
     * @param phone   手机号
     * @param content 内容
     * @return 结果
     * @throws Exception 异常
     */
    boolean send(String phone, String content) throws Exception;

    /**
     * 发送邮件
     * 发送短信
     *
     * @param uri     地址
     * @param phone   手机号
     * @param content 内容
     * @return 结果
     * @throws Exception 异常
     */
    boolean send(String uri, String phone, String content) throws Exception;
}
