package com.jjt.task;

import com.jjt.risk.domain.RiskModel;
import com.jjt.risk.service.IRiskAnalysisService;
import com.jjt.risk.service.IRiskModelService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 定时任务调度测试
 *
 * @author jjt
 */
@Component("riskTask")
public class RiskTask {
    @Resource
    private IRiskModelService riskModelService;
    @Resource
    private IRiskAnalysisService analysisService;

    /**
     * 分析
     */
    public void risk() {
        RiskModel q = new RiskModel();
        q.setTimeSwitch("Y");
        Date d = new Date();
        List<RiskModel> list = riskModelService.selectRiskModelList(q);
        list.forEach(rm -> {
            try {
                analysisService.risk(rm,d);
            } catch (Exception ignored) {
            }
        });

    }
}
