package com.test;

import com.jjt.JjtApplication;
import com.jjt.biz.domain.AlarmRecord;
import com.jjt.push.service.IPushConfigService;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Random;

/**
 *
 */
@SpringBootTest(classes = JjtApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles("tt")
public class PushTest {
    @Resource
    private IPushConfigService pushConfigService;

    @Test
    void test() {
        AlarmRecord record = new AlarmRecord();
        record.setObjName("测试对象");
        record.setMetricsName("测试指标");
        record.setAlarmTime(new Date());
        record.setAlarmLevel("mid");
        record.setAlarmValue(BigDecimal.valueOf(100.88));
        pushConfigService.push(record);
    }

    private boolean flag() {
        Random r = new Random();
        int x = r.nextInt(8889) + 1;
        return x % 2 == 1;
    }
}
