package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 指标模板对象 metrics_tpl
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "MetricsTpl", description = "指标模板")
@Data
public class MetricsTpl extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 模板ID
     */
    @ApiModelProperty("模板ID")
    @TableId
    private Long tplId;

    /**
     * 模板名称
     */
    @ApiModelProperty("模板名称")
    @Excel(name = "模板名称")
    private String tplName;

    /**
     * 模板编码
     */
    @ApiModelProperty("模板编码")
    @Excel(name = "模板编码")
    private String tplCode;
    @ApiModelProperty("指标数量")
    private Integer num;
    @ApiModelProperty("配置状态")
    private String confStatus;

}
