package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "CheckVO", description = "巡检对象")
@Data
@NoArgsConstructor
public class CheckVO {
    @ApiModelProperty("模型ID")
    private Long modelId;
    @ApiModelProperty("模型名称")
    private String modelName;
    @ApiModelProperty("模型名称")
    private List<Map<String, String>> classList;
}
