package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 业务模型对象 biz_model
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "HlScoreVO", description = "业务模型当前健康度")
@Data
public class HlScoreVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("模型ID")
    private Long modelId;
    @ApiModelProperty("模型名称")
    private String modelName;
    @ApiModelProperty("健康度分数记录ID")
    private Long hlScoreId;
    @ApiModelProperty("健康度分值")
    private BigDecimal hlScore;
}
