package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Random;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "LevelSortVO", description = "告警级别排名")
@Data
@NoArgsConstructor
public class LevelSortVO {
    @ApiModelProperty("告警级别")
    private String level;
    @ApiModelProperty("告警级别")
    private String name;
    @ApiModelProperty("告警数量")
    private Long num;

    public LevelSortVO(boolean flag) {
        if (flag) {
            this.level = "" + (new Random().nextInt(3) + 1);
            this.num = Long.valueOf(new Random().nextInt(200) + 10);
        }
    }
}
