package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "ScoreVO", description = "健康度分数VO")
@Data
@NoArgsConstructor
public class ScoreVO {
    @ApiModelProperty("模型ID")
    private Long modelId;
    @ApiModelProperty("模型名称")
    private String modelName;
    @ApiModelProperty("时间")
    private List<LocalDateTime> times;
    @ApiModelProperty("x轴")
    private List<String> xData;
    @ApiModelProperty("分数")
    private List<Float> scores;
}
