package com.jjt.hl.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 业务模型健康度得分指标明细对象 hl_metrics_score_detail
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlMetricsScoreDetail", description = "业务模型健康度得分指标明细")
@Data
public class HlMetricsScoreDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 指标明细ID
     */
    @ApiModelProperty("指标明细ID")
    @TableId
    private Long scoreDetailId;

    /**
     * 指标明细ID
     */
    @ApiModelProperty("指标明细ID")
    @Excel(name = "指标明细ID")
    private Long scoreMetricsId;

    /**
     * ID
     */
    @ApiModelProperty("事件ID")
    @Excel(name = "事件ID")
    private Long eventId;
}
