package com.jjt.hl.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "ScoreDetailVO", description = "扣分明细")
@Data
@NoArgsConstructor
public class ScoreDetailVO {
    @ApiModelProperty("对象名称")
    private String objName;
    @ApiModelProperty("指标名称")
    private String metricsName;
    @ApiModelProperty("事件触发")
    private String event;
    @ApiModelProperty("事件时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;
    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty("当前值")
    private Float value;

}
