package com.jjt.push.service;

/**
 * 推送配置Service接口
 *
 * @author jjt
 * @date 2024-10-08
 */
public interface IMailService {
    /**
     * 发送邮件
     * @param mail    邮箱
     * @param title   标题
     * @param content 内容
     * @return 结果
     * @throws Exception 异常
     */
    boolean send(String mail, String title, String content) throws Exception;
}
